Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class EnvelopeEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.EnvelopeEntry

Direct Known Subclasses:
  CompressedEntry, MaskableEnvelopeEntry

public abstract class EnvelopeEntry
extends Entry

An envelope entry is a generic container for some number of primitive and other envelope entries.

Field Summary
`protected EnvelopeEntry` | `containingEnvelope` The envelope that contains this one (if any).
`protected java.util.List` | `entries` The contained entries.

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Constructor Summary
`protected` | `EnvelopeEntry()`
`` | `EnvelopeEntry(int type, Properties properties)`

Method Summary
`void` | `add(Entry entry)` Adds an entry to this envelope.
`boolean` | `containsAlias(java.lang.String alias)` Tests if this envelope contains a primitive entry with the given alias.
`boolean` | `containsEntry(Entry entry)` Tests if this envelope contains the given entry.
`protected void` | `decodeEnvelope(java.io.DataInputStream in)`
`protected void` | `encodePayload()` This method is called of subclasses when the payload data needs to be created.
`java.util.List` | `get(java.lang.String alias)` Gets all primitive entries that have the given alias.
`java.lang.String` | `getAliasList()` Returns the list of all aliases contained by this envelope, separated by a semicolon (';').
`java.util.List` | `getEntries()` Returns a copy of all entries this envelope contains.
`boolean` | `remove(Entry entry)` Removes the specified entry.
`void` | `remove(java.lang.String alias)` Removes all primitive entries that have the specified alias.
`protected void` | `setContainingEnvelope(EnvelopeEntry e)`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### containingEnvelope

    protected EnvelopeEntry containingEnvelope

  The envelope that contains this one (if any).

### entries

    protected java.util.List entries

  The contained entries.

Constructor Detail

### EnvelopeEntry

    public EnvelopeEntry(int type,
                         Properties properties)

### EnvelopeEntry

    protected EnvelopeEntry()

Method Detail

### add

    public void add(Entry entry)

  Adds an entry to this envelope.

  Parameters:
    `entry` - The entry to add.

### containsAlias

    public boolean containsAlias(java.lang.String alias)

  Tests if this envelope contains a primitive entry with the given alias.

  Parameters:
    `alias` - The alias to test.
  Returns:
    True if this envelope (or one of the contained envelopes) contains a primitive entry with the given alias.

### containsEntry

    public boolean containsEntry(Entry entry)

  Tests if this envelope contains the given entry.

  Parameters:
    `entry` - The entry to test.
  Returns:
    True if this envelope contains the given entry.

### getEntries

    public java.util.List getEntries()

  Returns a copy of all entries this envelope contains.

  Returns:
    All contained entries.

### get

    public java.util.List get(java.lang.String alias)

  Gets all primitive entries that have the given alias. If there are any masked entries that contain the given alias, they will be returned as well.

  Parameters:
    `alias` - The alias of the entries to get.
  Returns:
    A list of all primitive entries that have the given alias.

### getAliasList

    public java.lang.String getAliasList()

  Returns the list of all aliases contained by this envelope, separated by a semicolon (';').

  Returns:
    The list of aliases.

### remove

    public boolean remove(Entry entry)

  Removes the specified entry.

  Parameters:
    `entry` - The entry.
  Returns:
    True if an entry was removed.

### remove

    public void remove(java.lang.String alias)

  Removes all primitive entries that have the specified alias.

  Parameters:
    `alias` - The alias of the entries to remove.

### encodePayload

    protected void encodePayload()
                          throws java.io.IOException

  Description copied from class: `Entry`
  This method is called of subclasses when the payload data needs to be created.

  Specified by:
    `encodePayload` in class `Entry`
  Throws:
    `java.io.IOException` - If an encoding error occurs.

### setContainingEnvelope

    protected void setContainingEnvelope(EnvelopeEntry e)

### decodeEnvelope

    protected void decodeEnvelope(java.io.DataInputStream in)
                           throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.